| cpp_redis 4.0.0 cpp_redis is a C++11 Asynchronous Multi-Platform Lightweight Redis Client, with support for synchronous operations and pipelining.

Public Member Functions | List of all members
cpp_redis::builders::simple_string_builder Class Reference

`#include <simple_string_builder.hpp>`

Inheritance diagram for cpp_redis::builders::simple_string_builder:

## Public Member Functions
| simple_string_builder (void)
| ctor
| ~simple_string_builder (void)=default
| dtor
| simple_string_builder (const simple_string_builder &)=delete
| copy ctor
simple_string_builder & | operator= (const simple_string_builder &)=delete
| assignment operator
builder_iface & | operator<< (std::string &data)
bool | reply_ready (void) const
reply | get_reply (void) const
const std::string & | get_simple_string (void) const

## Detailed Description

builder to build redis simplestring replies

## Member Function Documentation

## ◆ get_reply()

reply cpp_redis::builders::simple_string_builder::get_reply | ( | void |  | ) | const
| virtual

Returns
  reply object

Implements cpp_redis::builders::builder_iface.

## ◆ get_simple_string()

const std::string& cpp_redis::builders::simple_string_builder::get_simple_string | ( | void |  | ) | const

Returns
  the parsed simple string

## ◆ operator<<()

builder_iface& cpp_redis::builders::simple_string_builder::operator<< | ( | std::string & | data | ) |
| virtual

take data as parameter which is consumed to build the reply every bytes used to build the reply must be removed from the buffer passed as parameter

Parameters

  data | data to be consumed

Returns
  current instance

Implements cpp_redis::builders::builder_iface.

## ◆ reply_ready()

bool cpp_redis::builders::simple_string_builder::reply_ready | ( | void |  | ) | const
| virtual

Returns
  whether the reply could be built

Implements cpp_redis::builders::builder_iface.

The documentation for this class was generated from the following file:

- includes/cpp_redis/builders/simple_string_builder.hpp